\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}

\definecolor{rvwvcq}{rgb}{0.08235294117647059,0.396078431372549,0.7529411764705882}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-1,-1) rectangle (6,6);
\fill[line width=1.5pt,fill=A3] (2,5) -- (2,2) -- (5,2) -- (5,5) -- cycle;
\fill[line width=1.5pt,fill=A3] (0,2) -- (0,0) -- (2,0) -- (2,2) -- cycle;
\draw [line width=1.5pt, color=A1] (0,0)-- (5,0);
\draw [line width=1.5pt, color=A1] (5,0)-- (5,5);
\draw [line width=1.5pt, color=A1] (5,5)-- (0,5);
\draw [line width=1.5pt, color=A1] (0,5)-- (0,0);
\draw [line width=1.5pt, color=A2] (2,5)-- (2,0);
\draw [line width=1.5pt, color=A2] (5,2)-- (0,2);
\draw [line width=1.5pt, color=A2] (2,5)-- (2,2);
\draw [line width=1.5pt, color=A2] (2,2)-- (5,2);
\draw [line width=1.5pt, color=A1] (5,2)-- (5,5);
\draw [line width=1.5pt, color=A1] (5,5)-- (2,5);
\draw [line width=1.5pt, color=A1] (0,2)-- (0,0);
\draw [line width=1.5pt, color=A1] (0,0)-- (2,0);
\draw [line width=1.5pt, color=A2] (2,0)-- (2,2);
\draw [line width=1.5pt, color=A2] (2,2)-- (0,2);
\draw [line width=1pt, <->] (0,-0.25)-- node[below] {5cm} (5,-0.25);
\draw [line width=1pt, <->] (-0.25,0)-- node[left] {x} (-0.25,2);
\draw [line width=1.5pt, color=A1] (5,5)-- (0,0);
\draw (-0.25,-0.25) node {$A$};
\draw (5.25,-0.25) node {$B$};
\draw (5.25,5.25) node {$C$};
\draw (-0.25,5.25) node {$D$};
\draw (1.75,2.25) node {$I$};
\end{tikzpicture}
\end{document}